ad_page_contract {
    List all users that have accepted an acknowledgement
    
    @author Peter Alberer (peter@alberer.com)
    @creation-date 2003-10-06
} {
    id:notnull
}

set ack_title [db_string get_data "select title from acknowledgments where ack_id = :id" -default 0]
set page_title "[_ acknowledgement.ack] $ack_title"
set context [list $page_title]

if { $ack_title == 0 } { 
	ad_returnerror [_ acknowledgement.no_such_ack] [_ acknowledgement.no_such_ack_long]
	ad_script_abort
}

db_multirow -extend { ack_date_pretty } responses select_responses {
	select resp.user_id, resp.ack_date, p.first_names, p.last_name, u.username
	from acknowledgment_responses resp, persons p, users u
	where resp.ack_id = :id
	and resp.user_id = p.person_id 
	and resp.user_id = u.user_id
	order by ack_date desc, last_name, first_names
} {
    set ack_date_pretty [lc_time_fmt $ack_date "%Q"]
}

list::create \
    -name "responses" \
    -multirow "responses" \
    -key user_id \
    -row_pretty_plural "Besttigungen" \
    -elements {
        username {
            label "#acknowledgement.user#"
            link_url_eval {[acs_community_member_url -user_id $user_id]}
        }
        last_name {
            label "#acknowledgement.last_name#"
        }
        first_names {
            label "#acknowledgement.first_names#"
        }
        ack_date_pretty {
            label "#acknowledgement.sign_date#"
        }
    }
