
set user_id [ad_get_user_id]

if { $user_id == 0 } { 
	ad_returnredirect "/"
	ad_script_abort
}

set page_title [_ acknowledgement.acks]
set context [list $page_title]
set admin_p [ad_permission_p [ad_conn package_id] admin]

#get the acknowledgements that are relevant for the given user
#in this case we want all acknowledgements, not only the ones that are overdue
set open_acks_list [acknowledgement::get_for_user $user_id "all"]
multirow create open_acks ack_id title due_date

foreach element $open_acks_list {
	multirow append open_acks [lindex $element 0] [lindex $element 1] [lc_time_fmt [lindex $element 2] "%Q"]
}

list::create \
    -name "open_acks" \
    -multirow "open_acks" \
    -key ack_id \
    -row_pretty_plural [_ acknowledgement.acks] \
    -elements {
        title {
            label "Name"
         	link_url_eval {details?id=$ack_id}
        }
        due_date {
            label "#acknowledgement.due_date#"
        }
    }

#show all of the acknowledgements that the user has accepted
db_multirow -extend { ack_date_pretty } confirmed_acks select_acks {
	select a.ack_id, a.title, resp.ack_date
	from acknowledgments a inner join (select ack_id, user_id, ack_date from acknowledgment_responses where user_id = :user_id) resp
	on a.ack_id = resp.ack_id
	order by ack_id;
} {
    set ack_date_pretty [lc_time_fmt $ack_date "%Q"]
}

list::create \
    -name "confirmed_acks" \
    -multirow "confirmed_acks" \
    -key ack_id \
    -row_pretty_plural [_ acknowledgement.acks] \
    -elements {
        title {
            label "Name"
         	link_url_eval {details?id=$ack_id}
        }
        ack_date_pretty {
            label "#acknowledgement.signed_ack_at_date#"
        }
    }
